#pt-root {
  display: grid;
  /*fit-content(100%) wraps the desc to the left-over height after title height is allocated*/
  grid-template-rows: min-content fit-content(100%) min-content;
}

#title {
  grid-column: 1;
  grid-row: 1;
}

.desc-expand {
  /*Add scroll (and scroll bar) when in expanded mode*/
  overflow-y: scroll;
}

.desc-collapse {
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  max-height:140px;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
}

h3#desc-toggle {
  display: flex;
  justify-content: flex-end;
  align-items: center;

  min-height: 36px;
  min-width: 48px;
  cursor: pointer;
  font-style: italic;
}
